From 6f7f686f15f8629348d4309d758739d539e5b929 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Aug 30 2020 05:56:49 +0000
Subject: [PATCH 750/2232] Remove Result alias from API of cxx-gen library


This is unnecessary when we don't expect downstream code to be commonly
passing around cxx_gen::Result<T>.

---

diff --git a/gen/lib/src/lib.rs b/gen/lib/src/lib.rs
index 934d929..3b1b3c6 100644
--- a/gen/lib/src/lib.rs
+++ b/gen/lib/src/lib.rs
@@ -7,11 +7,9 @@
 mod gen;
 mod syntax;
 
-pub use crate::gen::Opt;
+pub use crate::gen::{Error, Opt};
 use proc_macro2::TokenStream;
 
-pub use crate::gen::{Error, Result};
-
 /// Results of code generation.
 pub struct GeneratedCode {
     /// The bytes of a C++ header file.
@@ -22,7 +20,7 @@ pub struct GeneratedCode {
 
 /// Generate C++ bindings code from a Rust token stream. This should be a Rust
 /// token stream which somewhere contains a `#[cxx::bridge] mod {}`.
-pub fn generate_header_and_cc(rust_source: TokenStream, opt: Opt) -> Result<GeneratedCode> {
+pub fn generate_header_and_cc(rust_source: TokenStream, opt: Opt) -> Result<GeneratedCode, Error> {
     let syntax = syn::parse2(rust_source)?;
     match gen::generate(syntax, opt, true, true) {
         Ok((Some(header), Some(cxx))) => Ok(GeneratedCode { header, cxx }),
diff --git a/gen/src/error.rs b/gen/src/error.rs
index 9a55243..70dcb37 100644
--- a/gen/src/error.rs
+++ b/gen/src/error.rs
@@ -11,7 +11,7 @@ use std::ops::Range;
 use std::path::Path;
 use std::process;
 
-pub type Result<T, E = Error> = std::result::Result<T, E>;
+pub(crate) type Result<T, E = Error> = std::result::Result<T, E>;
 
 #[derive(Debug)]
 pub enum Error {
diff --git a/gen/src/mod.rs b/gen/src/mod.rs
index 9c35285..320ff66 100644
--- a/gen/src/mod.rs
+++ b/gen/src/mod.rs
@@ -10,8 +10,8 @@ mod write;
 #[cfg(test)]
 mod tests;
 
-use self::error::format_err;
-pub use self::error::{Error, Result};
+pub use self::error::Error;
+use self::error::{format_err, Result};
 use self::file::File;
 use crate::syntax::report::Errors;
 use crate::syntax::{self, check, Types};

